'Készítette: bbatka
'Fejlesztő környezet: Picsimulatoride
'2005.12.21.
'Pic16f627   kvarc 32768 Hz
'Megszakítás ha 32768/4/32=256 =>másodpercenkénti megszakítás=1
Dim t As Byte
TRISA = %00000000
TRISB = %00000000
PORTB = 0
OPTION_REG = %11000100	'TMR0 előosztó értéke: 32
INTCON.T0IE = 1  'engedélyezi TMR0 megszakítást
INTCON.GIE = 1  'engedélyez minden nem maszkolt megszakítást
End

On Interrupt  'interrupt routine
If INTCON.T0IF = 1 Then
t = t + 1
	If t = 60 Then
	PORTB.7 = 1
	WaitUs 30000
	PORTB.7 = 0
	t = 0
	Endif
Endif
INTCON.T0IF = 0  'engedélyezése az új TMR0 megszakításnak
Resume
